classification
Title: test_subprocess test_executable_without_cwd fails when run with installed python
Type: Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: chris.jerdonek, doko, ned.deily, python-dev
Priority: normal Keywords:

Created on 2013-01-27 06:04 by ned.deily, last changed 2013-08-03 01:15 by ned.deily. This issue is now closed.

Messages (4)
msg180745 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-01-27 06:04
./configure --enable-shared --with-pydebug --prefix=/py/root && make && make install
cd
export LD_LIBRARY_PATH=/py/root/lib
/py/root/bin/python3.4 -m test -w -uall,-largefile test_subprocess


======================================================================
FAIL: test_executable_without_cwd (test.test_subprocess.ProcessTestCase)
----------------------------------------------------------------------

Traceback (most recent call last):
  File "/py/root/lib/python3.4/test/test_subprocess.py", line 346, in test_executable_without_cwd
    self._assert_cwd('', "somethingyoudonthave", executable=sys.executable)
  File "/py/root/lib/python3.4/test/test_subprocess.py", line 274, in _assert_cwd
    normcase(p.stdout.read().decode("utf-8")))
AssertionError: '' != '/tmp/test_python_22505'
+ /tmp/test_python_22505

======================================================================
FAIL: test_executable_without_cwd (test.test_subprocess.ProcessTestCaseNoPoll)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/py/root/lib/python3.4/test/test_subprocess.py", line 346, in test_executable_without_cwd
    self._assert_cwd('', "somethingyoudonthave", executable=sys.executable)
  File "/py/root/lib/python3.4/test/test_subprocess.py", line 274, in _assert_cwd
    normcase(p.stdout.read().decode("utf-8")))
AssertionError: '' != '/tmp/test_python_22505'
+ /tmp/test_python_22505

----------------------------------------------------------------------

If we don't already have one, it would probably be a good idea to set up at least one buildbot that does a "make install" and runs the tests using the installed Python.
msg185243 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-03-25 22:36
Test is still failing for 3.3.1rc1 and 3.2.4rc1.
msg194226 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-03 01:06
New changeset f37b336bfbca by Ned Deily in branch '3.3':
Issue #17046: Fix test_subprocess test_executable_without_cwd broken test case.
http://hg.python.org/cpython/rev/f37b336bfbca

New changeset e3e28ee5b5c3 by Ned Deily in branch 'default':
Issue #17046: merge from 3.3
http://hg.python.org/cpython/rev/e3e28ee5b5c3
msg194227 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-08-03 01:15
test_executable_without_cwd was broken by the test enhancements added for Issue15533.  This particular test case is skipped unless the tests are being run from an installed Python rather than from a build directory, the more typical case.  The applied patch (for release in 3.3.3 and 3.4.0) fixes the problem.
History
Date User Action Args
2013-08-03 01:15:19ned.deilysetstatus: open -> closed
versions: - Python 3.2
messages: + msg194227

resolution: fixed
stage: needs patch -> resolved
2013-08-03 01:06:14python-devsetnosy: + python-dev
messages: + msg194226
2013-04-16 22:23:21dokolinkissue17750 dependencies
2013-04-16 17:36:00ned.deilysetnosy: + doko
2013-04-16 17:35:48ned.deilylinkissue17757 superseder
2013-03-25 22:36:05ned.deilysetmessages: + msg185243
stage: needs patch
2013-01-27 06:04:12ned.deilycreate